import { inject } from 'vue';
import { c as controllerKey } from './vue-intl-controller.d1541efa.mjs';

/**
 * Retrieves installed controller in the current application.
 *
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
function useI18n() {
  const controller = inject(controllerKey);
  if (controller == null) {
    throw new Error('Controller is not available in this context. Has the plugin been installed?');
  }
  return controller;
}

export { useI18n as u };
