'use strict';

const vue = require('vue');
const consts = require('./vue-intl-controller.335464fe.cjs');

/**
 * Retrieves installed controller in the current application.
 *
 * @throws If controller cannot be found in the current application or current
 *   application cannot be determined (called outside of `setup()` call).
 */
function useI18n() {
  const controller = vue.inject(consts.controllerKey);
  if (controller == null) {
    throw new Error('Controller is not available in this context. Has the plugin been installed?');
  }
  return controller;
}

exports.useI18n = useI18n;
